﻿from pylab import *

# Définition des variables
A = 	# amplitude suivant z, en m 
T = 	# période de l'onde en s (entre 2 et 10)
v =     # célérité en m/s
xM = 0	# abscisse de M en m (distance entre le générateur de vagues et le point M)

# Données non modifiables
L = 0.040	# distance entre le bateau et la berge suivant x, en km
tmax = 50	# date de fin en s
Amax = 2	# amplitude maximale en m
t = linspace(0, tmax, 500)      # Définition de t (500 points)

#Définition de la fonction périodique
def z(t):
	return 

# Définition des graphiques
fig = figure()
gcf().subplots_adjust(hspace = 0.7)

# Graphiques
fig.add_subplot(2, 1, 1)       # en x = 0
plot(t, z(t))
title("z(t) à la source génératrice de vagues")
xlabel("t (en s)")
ylabel("z (en m)")
grid(True)
ylim(-Amax, Amax)
xlim(0, tmax)

fig.add_subplot(2, 1, 2)         # en xM
plot(t, z(t - xM/v))
title("z(t) à xM = "+str(xM)+" m de la source génératrice de vagues")
xlabel("t (en s)")
ylabel("z (en dm)")
grid(True)
ylim(-Amax, Amax)
xlim(0, tmax)

show()
